package com.datacloudsec.serializer;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;
import java.io.IOException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

/* loaded from: com_datacloudsec_serializer.jar:com/datacloudsec/serializer/TimeSerializer.class */
public class TimeSerializer extends JsonSerializer<Date> {
    protected static final DateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    public void serialize(Date value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
        String formattedDate = formatter.format(value);
        jgen.writeString(formattedDate);
    }
}
